# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import dlcmapi_client
from dlcmapi_client.api.access_api import AccessApi  # noqa: E501
from dlcmapi_client.rest import ApiException


class TestAccessApi(unittest.TestCase):
    """AccessApi unit test stubs"""

    def setUp(self):
        self.api = dlcmapi_client.api.access_api.AccessApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_access_dip_delete_by_id(self):
        """Test case for access_dip_delete_by_id

        """
        pass

    def test_access_dip_get(self):
        """Test case for access_dip_get

        """
        pass

    def test_access_dip_get_by_id(self):
        """Test case for access_dip_get_by_id

        """
        pass

    def test_access_dip_patch_by_id(self):
        """Test case for access_dip_patch_by_id

        """
        pass

    def test_access_dip_post(self):
        """Test case for access_dip_post

        """
        pass

    def test_access_get(self):
        """Test case for access_get

        """
        pass

    def test_access_metadata_get(self):
        """Test case for access_metadata_get

        """
        pass

    def test_access_metadata_get_by_id(self):
        """Test case for access_metadata_get_by_id

        """
        pass

    def test_access_orders_delete_by_id(self):
        """Test case for access_orders_delete_by_id

        """
        pass

    def test_access_orders_get(self):
        """Test case for access_orders_get

        """
        pass

    def test_access_orders_get_by_id(self):
        """Test case for access_orders_get_by_id

        """
        pass

    def test_access_orders_patch_by_id(self):
        """Test case for access_orders_patch_by_id

        """
        pass

    def test_access_orders_post(self):
        """Test case for access_orders_post

        """
        pass

    def test_access_organizational_units_get(self):
        """Test case for access_organizational_units_get

        """
        pass

    def test_access_organizational_units_get_by_id(self):
        """Test case for access_organizational_units_get_by_id

        """
        pass


if __name__ == '__main__':
    unittest.main()
